<div class="card">
	<div class="card-header heading">Part 2: Executive Summary
		(Continued)</div>
	<div class="card-margin">
		<div class="class-block">
			<div class="card">
				<div class="card-header heading">Part 2g: Summary of Requirements Tested</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="card-padding pt-1">
							<div class="head">
								<p>
									<b>For each PCI DSS Requirement, select one of the
										following:</b>
								</p>

								<ul>
									<li><b><strong>Full – </strong>The requirement and all
											sub-requirements were assessed for that Requirement, and no
											sub- requirements were marked as “Not Tested” or “Not
											Applicable” in the SAQ.</b></li>
									<li><b><strong>Partial – </strong>One or more
											sub-requirements of that Requirement were marked as “Not
											Tested” or “Not Applicable” in the SAQ.</b></li>
									<li><b><strong>None – </strong>All sub-requirements of
											that Requirement were marked as “Not Tested” and/or “Not
											Applicable” in the SAQ.</b></li>
								</ul>
								<p>
									<b>For all requirements identified as either “Partial” or
										“None,” provide details in the “Justification for Approach”
										column, including:</b>
								</p>
								<ul>
									<li><b>Details of specific sub-requirements that were
											marked as either “Not Tested” and/or “Not Applicable” in the
											SAQ</b></li>
									<li><b>Reason why sub-requirement(s) were not tested
											or not applicable</b></li>

								</ul>

								<p class="description">
									<i><b>Note: One table to be completed for each service
											covered by this AOC. Additional copies of this section are
											available on the PCI SSC website.</b></i>
								</p>
							</div>
							<form [formGroup]="part2gForm">
								<div class="form-group mt-3">
									<div class="form-group row">
										<label class="col-3 col-form-label ml-3"
											for="serviceAssessedName"><b class="head">Name of
												Service Assessed:</b></label>
										<div class="col-sm-5">
											<input type="text" class="form-control mt-1"
												id="serviceAssessedName" name="serviceAssessedName"
												formControlName="serviceAssessedName">
												<jhi-display-2-error
												[control]="part2gForm.controls.serviceAssessedName">
											</jhi-display-2-error>
										</div>
									</div>
								</div>
								<div class="card">
									<div class="card-header heading">Details of Requirements
										Assessed</div>
									<div class="class-block">
										<div class="d-flex mt-2">
											<div class="col-11">
											<b class="note"><i><strong>NOTE:</strong> Justification for Approach is required for all “Partial” and “None”
												responses. Identify which sub-requirements were not tested
												and the reason.</i></b>
											</div>
										</div>
										<div formArrayName="testedRequirementSummaries">
										<div class="form-group mt-3"
											*ngFor="let req of testedRequirementSummaries.controls; let i = index" [formGroupName]="i">
											<div class="d-flex mt-2">
												<div class="col-3 head">
													 <b> {{ part2gForm.value.testedRequirementSummaries[i].ReqOrAppendix + ' '}} {{part2gForm.value.testedRequirementSummaries[i].pcidssRequirementId.requirementNumber}} :</b>
												</div>
												<div>
													<div class="row m-1 head">
														<label class="md-check head" for="{{ i + 'Full'}}"> <input type="radio"
															class="mr-1" [value]="ASSESSED.FULL" [checked]="req.controls.assessed.value === 'FULL'"
															id="{{ i + 'Full'}}" formControlName="assessed" (change)="onChangeFull(req, $event.target.checked)" required>
															Full
														</label> <label class="md-check ml-5 head" for="{{ i + 'Partial'}}"> <input
															type="radio" class="mr-1" [value]="ASSESSED.PARTIAL" [checked]="req.controls.assessed.value === 'PARTIAL'"
															id="{{ i + 'Partial'}}" formControlName="assessed" (change)="onChangePartial(req, $event.target.checked)" required>
															Partial
														</label> <label class="md-check ml-5 head" for="{{ i + 'None'}}"> <input
															type="radio" class="mr-1" [value]="ASSESSED.NONE" [checked]="req.controls.assessed.value === 'NONE'"
															id="{{ i + 'None'}}" formControlName="assessed" (change)="onChangeNone(req, $event.target.checked)" required>
															None
														</label>
														</div>
												</div>

											</div>
											<div class="d-flex mt-2 head"
												 *ngIf="part2gForm.value.testedRequirementSummaries[i].assessed === 'PARTIAL' || part2gForm.value.testedRequirementSummaries[i].assessed === 'NONE'">
												<div class="col-3">
													<b>Justification for Approach :</b>
												</div>
												<div class="col-8 p-0 input-content">
													<textarea rows="3" cols="35" class="form-control"
														formControlName="justification"
														name="{{ i + 'justification'}}"
														></textarea>
												</div>
											</div>
										</div>
										</div>
									</div>

								</div>

							</form>
						</div>
					</div>
				</div>
			</div>
			<div class="row-md action-div">
				<jhi-button [class.disabled]="!part2gForm.valid" (click)="saveAndExit()" exit>Save & Exit</jhi-button>
				<jhi-button [class.disabled]="!part2gForm.valid" (click)="saveAndContinue()" continue>Save &
				Continue</jhi-button>
			</div>
			<div class="arrows mt-auto mb-4">
				<i (click)="back()" class="fa fa-4x fa-angle-left ml-4"></i>
			</div>
		</div>
	</div>
</div>
